Subject: RE: [Sigtran] M3UA IG02: ASPIA-ack changed to DUNA

From: "Schantz, John" <[email-masked]>
Date: Thu, 6 Mar 2003 10:29:18 -0600

Just noticed this thread and you wanted some more comments.

Brian is right ;).  An SGP should NEVER EVER EVER independently send its
own SSNM (DUNAs, etc.) because this is a SG node/network level message.
You need to use something that is at the appropriate level of the
problem.

John

-----Original Message-----
From: Ken Morneault [mailto:[email-masked]] 
Sent: Thursday, March 06, 2003 8:35 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [Sigtran] M3UA IG02: ASPIA-ack changed to DUNA

Anjali,

Brian is correct that he requested a change to Section 3.4.2.  IG03 left
the text the same because there has not been feedback on the list.

I will repost Brian's proposed changes and, hopefully, there will be
some comments (Anjali - please review and respond to the list).

Regards,

Ken

At 01:14 AM 3/6/2003 -0700, Brian F. G. Bidulock wrote:
>Anjali,
>
>This change in 3.4.2 in IG02 was the wrong thing to do.  Last I heard 
>Ken was waiting for more "feedback".
>
>As an ASP receiving SSNM from one SGP interprets it as pertaining to 
>the entire SG, this particular passage is in error:
>
>    If one or more SGP suffer a partial failure (where aborting the
>    association(s) would cause all active AS(es) to fail), then the SGP
>    MUST send DUNA messages for the affected SPC(es).  This is the case
>    where an SGP can continue to service one or more active AS(es), but
>    due to a partial failure it is unable to service other(s) active
>    AS(es).
>
>SSNM are not interpreted on a per-SGP basis.  Therefore, sending DUNA 
>from one affected SGP will stop traffic from all SGPs.  This in 
>inappropriate. Sending ASPIA-Ack for the affected AS (because ASPTM is 
>per-SGP) will only stop traffic to the affected SGP and not the entire 
>SG.
>
>So IG02 is heavily flawed in this respect (and it has the gall to say 
>MUST).
>
>Take a look at the thread
>
>  "I-D ACTION:draft-ietf-sigtran-m3ua-implementors-guide-02.txt"
>
>for this and additional serious flaws in IG02.
>
>--brian
>
>[email-masked] wrote:
(Thu, 06 Mar 2003 12:57:58)
>> 
>> 
>> Hi...
>> 
>>           This is corresponding to a change in   M3UA  IG02 where
DUNA has been
>> substituted inplaceof ASPIA-ack in case NIF is not available. The IG 
>> mentions that this is to allow Inter-ASP routing...I am not able to 
>> understand how ?? Also this was initially in IG00 as DUNA  then 
>> chaged to ASPIA-ack could you please clarify.
>> 
>> 
>> Thanks in advance
>> Anjali
>> www.hssworld.com
>> 
>> 
>> DISCLAIMER: This message is proprietary to Hughes Software Systems 
>> Limited (HSS) and is intended solely for the use of the individual to

>> whom it is addressed. It may contain  privileged or confidential 
>> information  and should not be circulated or used for any purpose 
>> other than for what it is intended. If you have received this message

>> in error, please notify the originator immediately. If you are not 
>> the intended recipient, you are notified that you are strictly 
>> prohibited from using, copying, altering, or disclosing the contents 
>> of this message. HSS accepts no responsibility for loss or damage 
>> arising from the use of the information transmitted by this email 
>> including damage from virus.
>> 
>> 
>> _______________________________________________
>> Sigtran mailing list
>> [email-masked] https://www1.ietf.org/mailman/listinfo/sigtran
>
>--
>Brian F. G. Bidulock
>[email-masked]
>http://www.openss7.org/
>_______________________________________________
>Sigtran mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/sigtran 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: [email-masked]
Date: Fri, 7 Mar 2003 15:25:25 +0530

Tolga..

Brian,

agurmukhani,

[email-masked] wrote:
(Fri, 07 Mar 2003 12:17:50)
> Brian..
> agurmukhani,
> (Fri, 07 Mar 2003 10:11:57)
> >
> >
> > Hi ,
> >
> >               Yes  even I agree with Brian that DUNA and other SSNM
messages
> are
> > interpreted by the ASP on per SG basis .
> > So sending DUNA is completely inappropriate . ASPIA-ack is good enough
to
> inform
> > ASP about the partial failure .
> > So this should be reverted back to ASPIA-ack.
> >
> > Also I have doubts about mentioning (as is given in change control part
of
> > IG02)that it helps in inter-ASP routing.
> >  I am not able to appreciate why is this required and its significance.
>
> [Anjali] What about this part that inter-ASP routing is facilitated?

I have no idea what that was supposed to mean.  Maybe Ken can shed some
light
on it.
[TOLGA]This refers to the configuration where one SGP routes messages
between two ASPs. In such if isolation from MTP3(NIF) happens in the whole
SG (for example there is only one SGP in SG) it might be desireable to
inform ASPs that they can't reach destinations in SS7 domain (with DUNA for
PCs in SS7 domain) and still continue routing between ASPs.

[Anjali] In the above case Tolga , if it is the single SGP in SG case, then
the connectivity with the SS7 is lost when NIF is isolated, so where has the
SGP the data to send to the ASP or route to the ASPs it is connected to.
The SGP informs ASPs about it thru ASPIA-ack which does not involve any
interasp-routing.
Inter-ASP routing as quoted in the IG-02 appears to be misnomer
and adds to confusion and hence should not be mentioned in when we are stating
the
case of NIF unavalibility scenarios.Don't you think so.

Please comment.

--brian

DISCLAIMER: This message is proprietary to Hughes Software Systems
Limited (HSS) and is intended solely for the use of the individual
to whom it is addressed. It may contain  privileged or confidential
information  and should not be circulated or used for any purpose other
than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. HSS accepts
no responsibility for loss or damage arising from the use of the information
transmitted by this email including damage from virus.

---

From: [email-masked]
Date: Fri, 7 Mar 2003 16:11:54 +0530

Hi Tolga,

Hi Anjali,

Tolga..

Brian,

agurmukhani,

messages
to
of

[Anjali] In the above case Tolga , if it is the single SGP in SG case, then
the connectivity with the SS7 is lost when NIF is isolated, so where has
the
SGP the data to send to the ASP or route to the ASPs it is connected to.
The SGP informs ASPs about it thru ASPIA-ack which does not involve any
interasp-routing.
[TOLGA] The configuration is:

   AS1           AS2
 +-----+       +-----+
 | ASP1|       |ASP2 |
 +--+--+       +--+--+
    |             |
    |   +-----+   |
    +---+ SGP1+---+
        +-----+
SGP1 is routing between AS1 and AS2.

[Anjali] I understand the configuration Tolga.But just tell me  where do the
ASs above get the data to route to since the NIF is not available and no
connectivity with the MTP3.So I repeat my point

when the connectivity with the SS7 is lost , so where has the
SGP the data to send to the ASP or route to the ASPs it is connected to.
The SGP informs ASPs about it thru ASPIA-ack which does not involve any
interasp-routing.

Inter-ASP routing as quoted in the IG-02 appears to be misnomer
hence should not be mentioned in when we are stating the
case of NIF unavalibility scenarios.

---

From: "TOLGA ASVEREN" <[email-masked]>
Date: Fri, 7 Mar 2003 14:31:08 +0200

Brian,

[..snip.. ]
So can we put DUNA back to ASPIA Ack now?
[TOLGA]My preference would be no 3.4 at all but now I also think if we need
to put something, we should go with ASPIA-ACK.